Public Member Functions

# BuildRailWaypointWindow Struct Reference

Inheritance diagram for BuildRailWaypointWindow:

## Public Member Functions
| BuildRailWaypointWindow (const WindowDesc *desc, Window *parent)
virtual void | UpdateWidgetSize (int widget, Dimension *size, const Dimension &padding, Dimension *fill, Dimension *resize)
| Update size and resize step of a widget in the window.
virtual void | DrawWidget (const Rect &r, int widget) const
| Draw the contents of a nested widget.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.

## Detailed Description

Definition at line 1706 of file rail_gui.cpp.

## Member Function Documentation

virtual void BuildRailWaypointWindow::DrawWidget | ( | const Rect & | r,
|  | int | widget |
| ) |  |  | const`[inline, virtual]`

Draw the contents of a nested widget.

Parameters:

  | r | Rectangle occupied by the widget.
  | widget | Number of the widget to draw.

Note:
  This method may not change any state, it may only use drawing functions.

Reimplemented from Window.

Definition at line 1734 of file rail_gui.cpp.

References _cur_railtype, DrawWaypointSprite(), FILLRECT_CHECKER, GB(), NewGRFClass< Tspec, Tid, Tmax >::Get(), GfxFillRect(), IsStationAvailable(), PC_BLACK, STAT_CLASS_WAYP, TILE_PIXELS, and WID_BRW_WAYPOINT.

virtual void BuildRailWaypointWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 1749 of file rail_gui.cpp.

References _cur_waypoint_type, _settings_client, SoundSettings::click_beep, GB(), NewGRFClass< Tspec, Tid, Tmax >::Get(), IsStationAvailable(), Window::SetDirty(), ClientSettings::sound, STAT_CLASS_WAYP, and WID_BRW_WAYPOINT.

virtual void BuildRailWaypointWindow::UpdateWidgetSize | ( | int | widget,
|  | Dimension * | size,
|  | const Dimension & | padding,
|  | Dimension * | fill,
|  | Dimension * | resize |
| ) |  |  | `[inline, virtual]`

Update size and resize step of a widget in the window.

After retrieval of the minimal size and the resize-steps of a widget, this function is called to allow further refinement, typically by computing the real maximal size of the content. Afterwards, size is taken to be the minimal size of the widget and resize is taken to contain the resize steps. For the convenience of the callee, padding contains the amount of padding between the content and the edge of the widget. This should be added to the returned size.

Parameters:

  | widget | Widget number.
  | size | Size of the widget.
  | padding | Recommended amount of space between the widget content and the widget edge.
  | fill | Fill step of the widget.
  | resize | Resize step of the widget.

Reimplemented from Window.

Definition at line 1720 of file rail_gui.cpp.

References WID_BRW_WAYPOINT_MATRIX.

The documentation for this struct was generated from the following file:

- src/rail_gui.cpp